Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api.script.element
Class StructureScriptAPIFactory

    java.lang.Object
      org.eclipse.birt.report.engine.api.script.element.StructureScriptAPIFactory

Deprecated. replaced by methods in `IReportDesign` .

    public class StructureScriptAPIFactory

extends java.lang.Object

Structure Factory for script API.

Constructor Summary
`StructureScriptAPIFactory()` Deprecated.

Method Summary
`static IDataBinding` | `createDataBinding()` Deprecated. Create `IDataBinding`
`static IFilterCondition` | `createFilterCondition()` Deprecated. Create `IFilterCondition`
`static IHideRule` | `createHideRule()` Deprecated. Create `IHideRule` instance
`static IHighlightRule` | `createHighLightRule()` Deprecated. Create `IHighLightRule`
`static ISortCondition` | `createSortCondition()` Deprecated. Create `ISortCondition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StructureScriptAPIFactory

    public StructureScriptAPIFactory()

  Deprecated.

Method Detail

### createHideRule

    public static IHideRule createHideRule()

  Deprecated.
  Create `IHideRule` instance

  Returns:
    IHideRule

### createFilterCondition

    public static IFilterCondition createFilterCondition()

  Deprecated.
  Create `IFilterCondition`

  Returns:
    instance

### createDataBinding

    public static IDataBinding createDataBinding()

  Deprecated.
  Create `IDataBinding`

  Returns:
    instance

### createHighLightRule

    public static IHighlightRule createHighLightRule()

  Deprecated.
  Create `IHighLightRule`

  Returns:
    instance

### createSortCondition

    public static ISortCondition createSortCondition()

  Deprecated.
  Create `ISortCondition`

  Returns:
    instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.